<?php

/**
 * Dem instances init
 */
function quna_demo_importer() {

  $demo_assets_url = trailingslashit( get_template_directory_uri() ) . 'assets/demo/';

  $demos = array();

  $demos['corporate'] = array(
    'import_file_name'           => 'Corporate',
    'categories'                 => array( 'Corporate' ),
    'import_file_url'            => apply_filters('quna_demo_file_corporate', $demo_assets_url.'corporate/corporate.xml'),
    'import_preview_image_url'   => apply_filters('quna_demo_image_corporate', $demo_assets_url.'corporate/corporate.png'),
    'import_notice'              => __( 'Once imported, you would need to enable the main menu in Appearance > Menus. Set your social profiles and header button in Appearance > Customize.', 'quna' ),
    'preview_url'                => apply_filters('quna_demo_preview_corporate', 'https://themes.weeizz.com/quna/home-corporate/' ),
  );

  $demos['photography'] = array(
    'import_file_name'           => 'Photography',
    'categories'                 => array( 'Photography' ),
    'import_file_url'            => apply_filters('quna_demo_file_photography', $demo_assets_url.'photography/photography.xml'),
    'import_preview_image_url'   => apply_filters('quna_demo_image_photography', $demo_assets_url.'photography/photography.jpg'),
    'import_notice'              => __( 'Once imported, you would need to enable the main menu in Appearance > Menus. Set your social profiles and header button in Appearance > Customize.', 'quna' ),
    'preview_url'                => apply_filters('quna_demo_preview_photography', 'https://themes.weeizz.com/quna/home-photography/' ),
  );

  $demos['restaurant'] = array(
    'import_file_name'           => 'Restaurant',
    'categories'                 => array( 'Restaurant' ),
    'import_file_url'            => apply_filters('quna_demo_file_restaurant', $demo_assets_url.'restaurant/restaurant.xml'),
    'import_preview_image_url'   => apply_filters('quna_demo_image_restaurant', $demo_assets_url.'restaurant/restaurant.png'),
    'import_notice'              => __( 'Once imported, you would need to enable the main menu in Appearance > Menus. Set your social profiles and header button in Appearance > Customize.', 'quna' ),
    'preview_url'                => apply_filters('quna_demo_preview_restaurant', 'https://themes.weeizz.com/quna/' ),
  );

  $demos['personal-trainer'] = array(
    'import_file_name'           => 'Personal Trainer',
    'categories'                 => array( 'Personal Trainer' ),
    'import_file_url'            => apply_filters('quna_demo_file_restaurant', $demo_assets_url.'personal-trainer/personal-trainer.xml'),
    'import_preview_image_url'   => apply_filters('quna_demo_image_restaurant', $demo_assets_url.'personal-trainer/personal-trainer.jpg'),
    'import_notice'              => __( 'Once imported, you would need to enable the main menu in Appearance > Menus. Set your social profiles and header button in Appearance > Customize.', 'quna' ),
    'preview_url'                => apply_filters('quna_demo_preview_restaurant', 'https://themes.weeizz.com/quna/home-personal-trainer/' ),
  );

  $demos['sp-faq'] = array(
    'import_file_name'           => 'FAQs',
    'categories'                 => array( 'Supporting Pages' ),
    'import_file_url'            => apply_filters('quna_demo_file_spfaq', $demo_assets_url.'supporting-pages/faqs.xml'),
    'import_preview_image_url'   => apply_filters('quna_demo_image_spfaq', $demo_assets_url.'supporting-pages/blank-page.png'),
    'import_notice'              => __( 'It will adds a new FAQs page in Dashboard > Pages.', 'quna' ),
    'preview_url'                => apply_filters('quna_demo_preview_spfaq', 'https://themes.weeizz.com/quna/faqs/' ),
  );

  $demos['sp-team'] = array(
    'import_file_name'           => 'Team',
    'categories'                 => array( 'Supporting Pages' ),
    'import_file_url'            => apply_filters('quna_demo_file_spteam', $demo_assets_url.'supporting-pages/team.xml'),
    'import_preview_image_url'   => apply_filters('quna_demo_image_spteam', $demo_assets_url.'supporting-pages/blank-page.png'),
    'import_notice'              => __( 'It will adds a new Team page in Dashboard > Pages.', 'quna' ),
    'preview_url'                => apply_filters('quna_demo_preview_spteam', 'https://themes.weeizz.com/quna/team/' ),
  );

  $demos['sp-gallery'] = array(
    'import_file_name'           => 'Gallery',
    'categories'                 => array( 'Supporting Pages' ),
    'import_file_url'            => apply_filters('quna_demo_file_spgallery', $demo_assets_url.'supporting-pages/gallery.xml'),
    'import_preview_image_url'   => apply_filters('quna_demo_image_spgallery', $demo_assets_url.'supporting-pages/blank-page.png'),
    'import_notice'              => __( 'It will adds a new Gallery page in Dashboard > Pages.', 'quna' ),
    'preview_url'                => apply_filters('quna_demo_preview_spgallery', 'https://themes.weeizz.com/quna/gallery/' ),
  );

  $demos['sp-testimonial'] = array(
    'import_file_name'           => 'Testimonial',
    'categories'                 => array( 'Supporting Pages' ),
    'import_file_url'            => apply_filters('quna_demo_file_sptestimonial', $demo_assets_url.'supporting-pages/testimonial.xml'),
    'import_preview_image_url'   => apply_filters('quna_demo_image_sptestimonial', $demo_assets_url.'supporting-pages/blank-page.png'),
    'import_notice'              => __( 'It will adds a new Testimonials page in Dashboard > Pages.', 'quna' ),
    'preview_url'                => apply_filters('quna_demo_preview_sptestimonial', 'https://themes.weeizz.com/quna/testimonials/' ),
  );

  $demos['sp-contact'] = array(
    'import_file_name'           => 'Contact',
    'categories'                 => array( 'Supporting Pages' ),
    'import_file_url'            => apply_filters('quna_demo_file_spcontact', $demo_assets_url.'supporting-pages/contact.xml'),
    'import_preview_image_url'   => apply_filters('quna_demo_image_spcontact', $demo_assets_url.'supporting-pages/blank-page.png'),
    'import_notice'              => __( 'It will adds a new Contact page in Dashboard > Pages. Adjust the Contact Form 7 shortcode with your own.', 'quna' ),
    'preview_url'                => apply_filters('quna_demo_preview_spcontact', 'https://themes.weeizz.com/quna/contact-us/' ),
  );

  // Sample starts

  /*
  $demos['demo-1'] = array(
    'import_file_name'           => 'Demo Import 1',
    'categories'                 => array( 'Category 1', 'Category 2' ),
    'import_file_url'            => 'http://www.your_domain.com/ocdi/demo-content.xml',
    'import_widget_file_url'     => 'http://www.your_domain.com/ocdi/widgets.json',
    'import_customizer_file_url' => 'http://www.your_domain.com/ocdi/customizer.dat',
    'import_redux'               => array(
      array(
        'file_url'    => 'http://www.your_domain.com/ocdi/redux.json',
        'option_name' => 'redux_option_name',
      ),
    ),
    'import_preview_image_url'   => 'http://www.your_domain.com/ocdi/preview_import_image1.jpg',
    'import_notice'              => __( 'After you import this demo, you will have to setup the slider separately.', 'quna' ),
    'preview_url'                => 'http://www.your_domain.com/my-demo-1',
  );

  $demos['demo-2'] = array(
    'import_file_name'           => 'Demo Import 2',
    'categories'                 => array( 'New category', 'Old category' ),
    'import_file_url'            => 'http://www.your_domain.com/ocdi/demo-content2.xml',
    'import_widget_file_url'     => 'http://www.your_domain.com/ocdi/widgets2.json',
    'import_customizer_file_url' => 'http://www.your_domain.com/ocdi/customizer2.dat',
    'import_redux'               => array(
      array(
        'file_url'    => 'http://www.your_domain.com/ocdi/redux.json',
        'option_name' => 'redux_option_name',
      ),
      array(
        'file_url'    => 'http://www.your_domain.com/ocdi/redux2.json',
        'option_name' => 'redux_option_name_2',
      ),
    ),
    'import_preview_image_url'   => 'http://www.your_domain.com/ocdi/preview_import_image2.jpg',
    'import_notice'              => __( 'A special note for this import.', 'quna' ),
    'preview_url'                => 'http://www.your_domain.com/my-demo-2',
  );

  */

  return apply_filters('quna_import_demos', $demos);

}
add_filter( 'pt-ocdi/import_files', 'quna_demo_importer' );

function quna_ocdi_confirmation_dialog_options ( $options ) {
    return array_merge( $options, array(
        'width'       => 470,
        'dialogClass' => 'wp-dialog',
        'resizable'   => false,
        'height'      => 'auto',
        'modal'       => true,
    ) );
}
add_filter( 'pt-ocdi/confirmation_dialog_options', 'quna_ocdi_confirmation_dialog_options', 10, 1 );
